Retrieves a single sales order by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isCancelled": true,
"isPending": true,
"itemDescriptionType": 0,
"readOnlyType": 0,
"salesOrderStatus": 123,
"salesOrderNumber": "<string>",
"departureCountry": {
"currencyFactor": 123,
"countryIso": "<string>",
"currencyIso": "<string>",
"state": "<string>"
},
"externalDetails": {
"externalInvoiceType": 0,
"externalCreatedDate": "2023-11-07T05:31:56Z",
"externalSalesOrderNumber": "<string>"
},
"paymentDetails": {
"cashDiscount": 123,
"cashDiscountDays": 123,
"financingCosts": 123,
"paymentDueDateInDays": 123,
"currencyFactor": 123,
"currencyIso": "<string>"
},
"shippingDetails": {
"extraWeight": 123,
"maxDeliveryDays": 123,
"shippingPriority": 123,
"deliveryFromDate": "2023-11-07T05:31:56Z",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"shippingDate": "2023-11-07T05:31:56Z"
},
"taxDetails": {
"taxReference": 0,
"specialTaxTreatment": 0,
"taxSetting": 0
},
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentInfo": {
"paymentInfoType": 123,
"accountHolder": "<string>",
"bankName": "<string>",
"bIC": "<string>",
"creditorId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"endToEndId": "<string>",
"iBAN": "<string>",
"mandateReference": "<string>",
"paymentInfo": "<string>",
"paymentReference": "<string>",
"referenceEmail": "<string>"
},
"text": {
"comment": "<string>",
"customerComment": "<string>",
"printText": "<string>",
"processStatus": "<string>"
},
"salesOrderDate": "2023-11-07T05:31:56Z",
"processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageIso": "<string>",
"customerSalesOrderNumber": "<string>",
"vatId": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shipmentAddress": {
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": 0,
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"country": "<string>",
"customsDocumentsRequired": true,
"vatId": "<string>"
},
"billingAddress": {
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": 0,
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"country": "<string>",
"customsDocumentsRequired": true,
"vatId": "<string>"
},
"lineItems": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isReserved": true,
"type": 0,
"lineItemType": 0,
"quantity": 123,
"salesPriceNet": 123,
"salesPriceGross": 123,
"discountPercent": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"totalSalesPriceNet": 123,
"totalSalesPriceGross": 123,
"sortOrder": 123,
"hasUpload": true,
"configurationItemType": 0,
"billOfMaterialsType": 0,
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sku": "<string>",
"name": "<string>",
"fnSku": "<string>",
"salesUnit": "<string>",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"note": "<string>",
"standardName": "<string>",
"parentSalesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"keyFigures": {
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"alreadyPaidAmount": 123,
"creditsTotalGrossAmount": 123,
"deliveryStatus": 0,
"invoiceStatus": 0,
"invoicesTotalGrossAmount": 123,
"invoicesTotalNetAmount": 123,
"isCashOnDelivery": true,
"isFullyReturned": true,
"isLockedForDelivery": true,
"packageCount": 123,
"paymentStatus": 0,
"shippedPackageCount": 123,
"stillToPay": 123,
"stillToPayWithoutCancellation": 123,
"totalGrossAmount": 123,
"totalNetAmount": 123,
"totalGrossAmountExcludingShipping": 123,
"totalNetAmountExcludingShipping": 123,
"totalQuantity": 123,
"shippingCostNet": 123,
"shippingCostGross": 123,
"vatAmounts": [
{
"taxRate": 123,
"vatAmount": 123
}
],
"dateOfPayment": "2023-11-07T05:31:56Z",
"emailedDate": "2023-11-07T05:31:56Z",
"invoiceNumbers": "<string>",
"lastShippingDate": "2023-11-07T05:31:56Z",
"paymentMailDate": "2023-11-07T05:31:56Z",
"printedDate": "2023-11-07T05:31:56Z",
"shippingMailDate": "2023-11-07T05:31:56Z"
},
"invoices": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesInvoiceNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"isCancelled": true,
"isDraft": true
}
]
}Sales Order
Retrieves a single sales order by its ID.
Retrieves a single sales order by its ID.
GET
/
v2
/
sales-orders
/
{salesOrderId}
Retrieves a single sales order by its ID.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isCancelled": true,
"isPending": true,
"itemDescriptionType": 0,
"readOnlyType": 0,
"salesOrderStatus": 123,
"salesOrderNumber": "<string>",
"departureCountry": {
"currencyFactor": 123,
"countryIso": "<string>",
"currencyIso": "<string>",
"state": "<string>"
},
"externalDetails": {
"externalInvoiceType": 0,
"externalCreatedDate": "2023-11-07T05:31:56Z",
"externalSalesOrderNumber": "<string>"
},
"paymentDetails": {
"cashDiscount": 123,
"cashDiscountDays": 123,
"financingCosts": 123,
"paymentDueDateInDays": 123,
"currencyFactor": 123,
"currencyIso": "<string>"
},
"shippingDetails": {
"extraWeight": 123,
"maxDeliveryDays": 123,
"shippingPriority": 123,
"deliveryFromDate": "2023-11-07T05:31:56Z",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"shippingDate": "2023-11-07T05:31:56Z"
},
"taxDetails": {
"taxReference": 0,
"specialTaxTreatment": 0,
"taxSetting": 0
},
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentInfo": {
"paymentInfoType": 123,
"accountHolder": "<string>",
"bankName": "<string>",
"bIC": "<string>",
"creditorId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"endToEndId": "<string>",
"iBAN": "<string>",
"mandateReference": "<string>",
"paymentInfo": "<string>",
"paymentReference": "<string>",
"referenceEmail": "<string>"
},
"text": {
"comment": "<string>",
"customerComment": "<string>",
"printText": "<string>",
"processStatus": "<string>"
},
"salesOrderDate": "2023-11-07T05:31:56Z",
"processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageIso": "<string>",
"customerSalesOrderNumber": "<string>",
"vatId": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shipmentAddress": {
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": 0,
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"country": "<string>",
"customsDocumentsRequired": true,
"vatId": "<string>"
},
"billingAddress": {
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": 0,
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"country": "<string>",
"customsDocumentsRequired": true,
"vatId": "<string>"
},
"lineItems": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isReserved": true,
"type": 0,
"lineItemType": 0,
"quantity": 123,
"salesPriceNet": 123,
"salesPriceGross": 123,
"discountPercent": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"totalSalesPriceNet": 123,
"totalSalesPriceGross": 123,
"sortOrder": 123,
"hasUpload": true,
"configurationItemType": 0,
"billOfMaterialsType": 0,
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sku": "<string>",
"name": "<string>",
"fnSku": "<string>",
"salesUnit": "<string>",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"note": "<string>",
"standardName": "<string>",
"parentSalesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"keyFigures": {
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"alreadyPaidAmount": 123,
"creditsTotalGrossAmount": 123,
"deliveryStatus": 0,
"invoiceStatus": 0,
"invoicesTotalGrossAmount": 123,
"invoicesTotalNetAmount": 123,
"isCashOnDelivery": true,
"isFullyReturned": true,
"isLockedForDelivery": true,
"packageCount": 123,
"paymentStatus": 0,
"shippedPackageCount": 123,
"stillToPay": 123,
"stillToPayWithoutCancellation": 123,
"totalGrossAmount": 123,
"totalNetAmount": 123,
"totalGrossAmountExcludingShipping": 123,
"totalNetAmountExcludingShipping": 123,
"totalQuantity": 123,
"shippingCostNet": 123,
"shippingCostGross": 123,
"vatAmounts": [
{
"taxRate": 123,
"vatAmount": 123
}
],
"dateOfPayment": "2023-11-07T05:31:56Z",
"emailedDate": "2023-11-07T05:31:56Z",
"invoiceNumbers": "<string>",
"lastShippingDate": "2023-11-07T05:31:56Z",
"paymentMailDate": "2023-11-07T05:31:56Z",
"printedDate": "2023-11-07T05:31:56Z",
"shippingMailDate": "2023-11-07T05:31:56Z"
},
"invoices": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesInvoiceNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"isCancelled": true,
"isDraft": true
}
]
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Response
A single sales order.
Was this page helpful?